package com.ssj.dao.weixin.sales.dao;

import com.ssj.bean.weixin.sales.domain.LibStaffing;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;


/** 
 * @author  ZhangCaibao 
 * @version 2017年4月24日 上午11:58:57 
 * 类说明 
 */
public interface LibStaffingQueryDao {
   
	 public Page<Map<String, Object>> getUserList(Map<String, Object> searchParams, Pageable pageable);
	 public Page<Map<String, Object>> getUserListZB(Map<String, Object> searchParams, Pageable pageable);
	 
     public void insertTbLibManager(List<LibStaffing> list);
     
     public List<Map<String,Object>> getOrderDetail(String userId);
     
     Page<Map<String, Object>> findForVipSerivcePage(Map<String, Object> searchParams, Pageable pageable);
     
     public Page<Map<String, Object>> getUserListSR(Map<String, Object> searchParams, Pageable pageable);
     
     public List<Map<String, Object>> getLibAllService(String vipId,String species);
     
	 public List<Map<String, Object>> findUserServiceList(String vipid, String libId);
	 
	 public Map<String, Object> findUserCost(String vipId, String libId);
	 
	public Page<Map<String, Object>> findTeacherList(Map<String, Object> searchParams, Pageable pageable);

    /**
     * 查询某个类型的人员用于推送
     * @param libId
     * @param type
     * @return
     */
	public List<Map<String, Object>> findLibMasterByLibIdAndType (String libId, String type);

    Page<Map<String, Object>> findBylist(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> findForVipSerivcePage2(Map<String, Object> params, Pageable pageable);
}
